{% extends "base.html" %}

{% block extrahead %}
    {% load staticfiles %}

{% endblock %}

{% block title %}Add Customers{% endblock %}
{% block customer_active %}active{% endblock %}
{% block parent_customer_a_active %}active{% endblock %}
{% block parent_customer_i_active %}active{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-sm-12">
            <section class="panel panel-content">
                <header class="panel-heading" style="font-size: 20px">
                    Add Customer
                </header>
                <div class="panel-body">
                    <form class="form-horizontal" action="" role="form" method="post"
                          enctype="multipart/form-data">
                        {% csrf_token %}
                        <div class="form-group">
                            <label for="account_group" class="col-lg-2 col-sm-2 control-label">Area<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.area }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="account_group" class="col-lg-2 col-sm-2 control-label">Name<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.name }}
                                <h4 class="text-danger"></h4>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="start_time" class="col-lg-2 col-sm-2 control-label">Email<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.email }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="end_time" class="col-lg-2 col-sm-2 control-label">Password<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.login_password }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="week_days" class="col-lg-2 col-sm-2 control-label">Phone<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.phone }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="title" class="col-lg-2 col-sm-2 control-label">Age<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.age }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="from_date" class="col-lg-2 col-sm-2 control-label">Sex<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.sex }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="to_date" class="col-lg-2 col-sm-2 control-label">Address</label>
                            <div class="col-lg-10">
                                {{ form_info.address }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="title_cn" class="col-lg-2 col-sm-2 control-label">Current Point<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.current_point }}
                            </div>
                        </div>
                        <div class="form-group hidden">
                            <label for="is_mail_notify" class="col-lg-2 col-sm-2 control-label">EMail Notify<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-4">
                                {{ form_info.is_mail_notify }}
                            </div>
                        </div>
                        <div class="form-group hidden">
                            <label for="is_sms_notify" class="col-lg-2 col-sm-2 control-label">SMS Notify<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-4">
                                {{ form_info.is_sms_notify }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="image_path" class="col-lg-2 col-sm-2 control-label">Image</label>
                            <div class="col-lg-4">
                                {% if customers.image_path %}
                                    <input id="image_path"
                                        name="image_path"
                                        class="dropify image_path"
                                        data-default-file="{% static 'media/' %}{{ customers.image_path }}"
                                        type="file"
                                        data-max-file-size="3M"
                                        data-show-remove="false"
                                        data-min-width="400"
                                        data-max-width="1080"
                                        data-allowed-file-extensions="png jpg jpeg"/>
                                    <p class="text-primary">* Please choose image with width between 400px and 1080px</p>
                                {% else %}
                                    <input required id="image_path"
                                        name="image_path"
                                        class="dropify image_path"
                                        type="file"
                                        data-max-file-size="3M"
                                        data-show-remove="false"
                                        data-min-width="400"
                                        data-max-width="1080"
                                        data-allowed-file-extensions="png jpg jpeg"/>
                                    <p class="text-primary">* Please choose image with width between 400px and 1080px</p>
                                {% endif %}
                            </div>
                        </div>
                        <div class="form-group bottom-group">
                            <div class="col-lg-offset-2 col-lg-10">
                                <button type="submit" class="btn btn-success">Save
                                </button>
                                <a type="submit" class="btn btn-default" href="{% url 'customers_list' %}">Cancel</a>
                            </div>

                        </div>
                    </form>
                </div>
            </section>
        </div>
    </div>
{% endblock %}

{% block extrafoot %}
    <script type="text/javascript">
        //$('#id_week_days').select2();
        //updateSelect2Noblank(week_days, "id_week_days",1);
    </script>
{% endblock %}
